import enum


class CodeEnum(enum.Enum):
    """Base class for defining fixed field value sets OLDW-style fields.  Each member
    of the enumerate should be a pair of literal database value, and a
    presentation-friendly (potentially translatable) string value."""

    def __new__(cls, value: str, label: str):
        member = object.__new__(cls)
        member._value_ = value
        member.label = label
        return member
